Bug: https://bugs.gentoo.org/634220

--- a/src/3rdparty/chromium/v8/BUILD.gn
+++ b/src/3rdparty/chromium/v8/BUILD.gn
@@ -803,6 +803,7 @@
 
     deps = [
       ":mksnapshot($v8_snapshot_toolchain)",
+      ":run_paxmark",
     ]
 
     script = "tools/run.py"
@@ -854,6 +855,28 @@
     }
   }
 }
+action("run_paxmark") {
+  visibility = [ ":*" ]  # Only targets in this file can depend on this.
+
+  deps = [
+    ":mksnapshot($v8_snapshot_toolchain)",
+  ]
+
+  script = "/usr/sbin/pypaxctl"
+
+  sources = []
+
+  outputs = [
+     "$target_out_dir/mksnapshot",
+  ]
+
+  args = [
+    "-sm",
+    "./" + rebase_path(get_label_info(":mksnapshot($v8_snapshot_toolchain)",
+                                      "root_out_dir") + "/mksnapshot",
+                       root_build_dir),
+  ]
+}
 
 action("v8_dump_build_config") {
   script = "tools/testrunner/utils/dump_build_config.py"
